summaryrefslogtreecommitdiffstats
path: root/libraries/Net-SSLeay
diff options
context:
space:
mode:
author Marco Bonetti <sid77@slackware.it>2010-05-12 23:29:48 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:29:48 +0200
commitf7336faffebe80a4e1c587009a12ec3ea1481be4 (patch)
treece7c67f7151a0c2a175d6f3b503f0b9c82e9acb5 /libraries/Net-SSLeay
parenta72d5b6ce55387f70dd2b16c163737f6988f0acf (diff)
downloadslackbuilds-f7336faffebe80a4e1c587009a12ec3ea1481be4.tar.gz
slackbuilds-f7336faffebe80a4e1c587009a12ec3ea1481be4.tar.xz
libraries/Net-SSLeay: Added to 12.2 repository
Diffstat (limited to 'libraries/Net-SSLeay')
-rw-r--r--libraries/Net-SSLeay/Net-SSLeay.SlackBuild92
-rw-r--r--libraries/Net-SSLeay/Net-SSLeay.info8
-rw-r--r--libraries/Net-SSLeay/README5
-rw-r--r--libraries/Net-SSLeay/slack-desc19
4 files changed, 124 insertions, 0 deletions
diff --git a/libraries/Net-SSLeay/Net-SSLeay.SlackBuild b/libraries/Net-SSLeay/Net-SSLeay.SlackBuild
new file mode 100644
index 0000000000..4db5d07e12
--- /dev/null
+++ b/libraries/Net-SSLeay/Net-SSLeay.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for Net-SSLeay
+#
+# Copyright 2009-2010 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=Net-SSLeay
+VERSION=1.35
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+DOCS="Changes Credits README TODO examples"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Change to "y" if you want to enable tests
+# (connectivity needed)
+echo "n" | perl Makefile.PL
+make OPTIMIZE="$SLKCFLAGS"
+make DESTDIR=$PKG \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3 \
+ install
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+( cd $PKG
+ find . \( -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" \) \
+ -exec rm -f {} \;
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/Net-SSLeay/Net-SSLeay.info b/libraries/Net-SSLeay/Net-SSLeay.info
new file mode 100644
index 0000000000..07e22845f7
--- /dev/null
+++ b/libraries/Net-SSLeay/Net-SSLeay.info
@@ -0,0 +1,8 @@
+PRGNAM="Net-SSLeay"
+VERSION="1.35"
+HOMEPAGE="http://search.cpan.org/~flora/Net-SSLeay-1.35/lib/Net/SSLeay.pm"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/Net-SSLeay-1.35.tar.gz"
+MD5SUM="1e4ec37a4467eb66a62d3c090ac9029b"
+MAINTAINER="Marco Bonetti"
+EMAIL="sid77@slackware.it"
+APPROVED="dsomero"
diff --git a/libraries/Net-SSLeay/README b/libraries/Net-SSLeay/README
new file mode 100644
index 0000000000..dd07c64184
--- /dev/null
+++ b/libraries/Net-SSLeay/README
@@ -0,0 +1,5 @@
+This module offers some high level convenience functions for accessing web pages
+on SSL servers (for symmetry, same API is offered for accessing http servers,
+too), a sslcat() function for writing your own clients, and finally access to
+the SSL api of SSLeay/OpenSSL package so you can write servers or clients for
+more complicated applications.
diff --git a/libraries/Net-SSLeay/slack-desc b/libraries/Net-SSLeay/slack-desc
new file mode 100644
index 0000000000..95b8027339
--- /dev/null
+++ b/libraries/Net-SSLeay/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+Net-SSLeay: Net-SSLeay (perl module)
+Net-SSLeay:
+Net-SSLeay: Perl extension for using OpenSSL
+Net-SSLeay:
+Net-SSLeay:
+Net-SSLeay:
+Net-SSLeay:
+Net-SSLeay:
+Net-SSLeay:
+Net-SSLeay:
+Net-SSLeay: